﻿using JQueryGridWebApiCRUD.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;

namespace JQueryGridWebApiCRUD.Controllers
{
    public class GridController : ApiController
    {
        public static List<Student> students = Enumerable.Range(1, 10).Select(i => new Student
        {
            Id = i,
            Name = "Name " + i
        }).ToList();

        // GET api/values
        public List<Student> Get()
        {
            return students;
        }

        // POST api/values
        public List<Student> Post([FromBody]Student student)
        {
            student.Id = students.Count + 1;
            students.Add(student);
            return new List<Student>() { student };
        }

        // PUT api/values/5
        public List<Student> Put(int id, [FromBody]Student student)
        {
            for (int i = 0; i < students.Count; i++)
            {
                if (students[i].Id == student.Id) {
                    students[i] = student;
                    break;
                }
            }

            return new List<Student>() { student };
        }

        // DELETE api/values/5
        public List<Student> Delete(int id)
        {
            var studentToRemove = new Student();
            for (int i = 0; i < students.Count; i++)
            {
                if (students[i].Id == id)
                {
                    students.Remove(students[i]);
                    studentToRemove = students[i];
                    break;
                }
            }

            return new List<Student>() { studentToRemove };
        }
    }
}
